import { OnInit } from '@angular/core';
import { RmService } from '@bidi/common-services';
import { RatingsService } from './../ratings.service';
import { AuthService } from './../../auth/auth.service';
import { Store } from '@ngrx/store';
export declare class RankComponent implements OnInit {
    private rm;
    auth: AuthService;
    ratingsService: RatingsService;
    private store;
    role: any;
    resourceId: any;
    voteC: boolean;
    flagUser: boolean;
    token: string;
    userName: string;
    private state$;
    constructor(rm: RmService, auth: AuthService, ratingsService: RatingsService, store: Store<any>);
    ngOnInit(): void;
    voteContentShow(): void;
    voteContent(val: any): void;
}
